aboutsummaryrefslogtreecommitdiffstats
path: root/main/mercurial
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-12-02 09:50:17 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-12-02 09:50:17 +0000
commit7fcf64719e536a81e2c451b20c1c765e96ba150f (patch)
treeab34c496be11d3a0d262a630327eec3e1db394cd /main/mercurial
parent49e42a1aa0c1038318c4865d0018f999350218f6 (diff)
downloadaports-7fcf64719e536a81e2c451b20c1c765e96ba150f.tar.gz
aports-7fcf64719e536a81e2c451b20c1c765e96ba150f.tar.bz2
aports-7fcf64719e536a81e2c451b20c1c765e96ba150f.tar.xz
main/mercurial: new aport
A scalable distributed SCM tool http://www.selenic.com/mercurial
Diffstat (limited to 'main/mercurial')
-rw-r--r--main/mercurial/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/main/mercurial/APKBUILD b/main/mercurial/APKBUILD
new file mode 100644
index 0000000000..0201df6223
--- /dev/null
+++ b/main/mercurial/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=mercurial
+pkgver=1.4.1
+pkgrel=0
+pkgdesc="A scalable distributed SCM tool"
+url="http://www.selenic.com/mercurial"
+license="GPL"
+depends="python"
+makedepends="python-dev"
+subpackages="$pkgname-doc"
+source="http://www.selenic.com/$pkgname/release/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ python setup.py install --root="$pkgdir" || return 1
+ install -d "$pkgdir"/usr/share/man/man1 "$pkgdir"/usr/share/man/man5
+ install -m644 doc/hg.1 ""$pkgdir"/usr/share/man/man1" || return 1
+ install -m644 doc/hgrc.5 doc/hgignore.5 "$pkgdir"/usr/share/man/man5 \
+ || return 1
+ install -m755 contrib/hgk "$pkgdir"/usr/bin || return 1
+ install -m644 -D contrib/bash_completion \
+ "$pkgdir"/etc/bash_completion.d/hg || return 1
+ vimpath="$pkgdir"/usr/share/vim/vimfiles
+ install -Dm644 contrib/vim/HGAnnotate.vim \
+ "${vimpath}/syntax/HGAnnotate.vim" || return 1
+}
+md5sums="eacffecad59ec145e61a1edf332b3f1f mercurial-1.4.1.tar.gz"